<template>
  <div v-if="!$auth.loading">
    <button class="py-2 px-3 btn btn-info bg-brain d-flex align-items-center font-weight-bold"
            v-if="$auth.isAuthenticated"
            @click="logout">
      <icon name="log_out" color="white" hoverColor="--brain_main" class="mr-2"/>
      Log out
    </button>
  </div>
</template>

<script>
import Icon from '@/components/Icon'

export default {
  name: 'auth-button',
  components: { Icon },
  methods: {
    logout () {
      this.$auth.logout({
        returnTo: window.location.origin
      })
    }
  }
}
</script>

<style lang="scss" scoped>
</style>
